# SkyStakingEngineSelectFarm

### Description

Selects a farm for the SKY Staking Engine Position

### Action ID

`0x7e2517f6`

### SDK Action

```ts
const skyStakingEngineSelectFarmAction = new dfs.actions.sky.SkyStakingEngineSelectFarmAction(
    stakingContract,
    index,
    farm
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param stakingContract address of the staking engine contract
    /// @param index index of the urn
    /// @param farm address of farm to select
    struct Params {
        address stakingContract;
        uint256 index;
        address farm;
    }
```

### Return Value

```solidity
return bytes32(bytes20(farm));
```

### Events and Logs

```solidity
emit ActionEvent("SkyStakingEngineSelectFarm", logData);
logger.logActionDirectEvent("SkyStakingEngineSelectFarm", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/sky/skystakingengineselectfarm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
